tomcat-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Weber.Tak...@stj.gov.br
Subject RE: Error compiling jk2 connector with Apache2 and Tomcat5
Date Wed, 28 Apr 2004 18:01:04 GMT




Hi Yang!

      I have  the  following files in the apr-lib folder:
- apr.exp
- aprutil.exp
- libapr-0.a
- libapr-0.la
- libaprutil-0.a
- libaprutil-0.la

      Are they enough?  Should I have something else?

Thanks in advance.
Weber




                                                                           
             Yang Xiao                                                     
             <yxiao@ohpp.com>                                              
                                                                      Para 
             27/04/2004 09:20          'Tomcat Users List'                 
                                       <tomcat-user@jakarta.apache.org>    
                                                                        cc 
             Favor responder a                                             
               "Tomcat Users                                       Assunto 
                   List"               RE: Error compiling jk2 connector   
             <tomcat-user@jaka         with Apache2 and Tomcat5            
              rta.apache.org>                                              
                                                                           
                                                                           
                                                                           
                                                                           
                                                                           




Hi,
I think you need to double check your apr-lib path, see is
/usr/local/apache2/lib works, because if you compiled apache2 youself,
that's where it could be.
I used the following configure commands myself

./configure --with-apxs2=/usr/local/apache/bin/apxs \
 --with-apr-lib=/usr/local/apache/lib \
--with-tomcat-41=/usr/local/jakarta-tomcat-5.0.19 \
--with-java-home=/usr/java//j2sdk1.4.1_02 \
--with-jni

Yang
-----Original Message-----
From: Weber.Takaki@stj.gov.br [mailto:Weber.Takaki@stj.gov.br]
Sent: Monday, April 26, 2004 6:26 PM
To: Tomcat Users List
Subject: RE: Error compiling jk2 connector with Apache2 and Tomcat5





That's what I did...  Here are the steps I made:

1. download jk2-2.0.4.src ;
2. expand that;
3. navigate to ./jk/native2/ ;
4. run ./configure --with-apxs2=/usr/local/apache2/bin/apxs
--with-apr-lib=/usr/lib  --with-tomcat41=/usr/local/Tomcat --with-jni

Stops here with the message:
      ....
      checking for mkdir... /bin/mkdir
      no apxs given
      need to check for Perl first, apxs depends on it...
      checking for perl... /usr/bin/perl
      configure: error: can't locate libapr

Does this help?

Regards,
Weber




             Yang Xiao
             <yxiao@ohpp.com>
                                                                      Para
             26/04/2004 18:59          'Tomcat Users List'
                                       <tomcat-user@jakarta.apache.org>
                                                                        cc
             Favor responder a
               "Tomcat Users                                       Assunto
                   List"               RE: Error compiling jk2 connector
             <tomcat-user@jaka         with Apache2 and Tomcat5
              rta.apache.org>









Err..you need to add --with-jni with all the other options you had before.
:P

Yang

-----Original Message-----
From: Weber.Takaki@stj.gov.br [mailto:Weber.Takaki@stj.gov.br]
Sent: Monday, April 26, 2004 5:57 PM
To: Tomcat Users List
Subject: RE: Error compiling jk2 connector with Apache2 and Tomcat5





Hi Yang,  thanks for your reply!

      Now mod_jk2.so is not being generated either.  When running 'make' it
stops with the following message:

"checking for perl... /usr/bin/perl
configure: error: can't locate libapr"

      Using the same parameters,  if I try compiling jk2 version 2.0.2  I
pass this point without errors, but can't get mod_jk2.so and jkjni.so
compiled.

      Any help is very much appreciated.

Thanks,
Weber





             Yang Xiao
             <yxiao@ohpp.com>
                                                                      Para
             26/04/2004 17:41          'Tomcat Users List'
                                       <tomcat-user@jakarta.apache.org>
                                                                        cc
             Favor responder a
               "Tomcat Users                                       Assunto
                   List"               RE: Error compiling jk2 connector
             <tomcat-user@jaka         with Apache2 and Tomcat5
              rta.apache.org>









Hi,
You need ./configure --with-jni :)
Yang

-----Original Message-----
From: Weber.Takaki@stj.gov.br [mailto:Weber.Takaki@stj.gov.br]
Sent: Monday, April 26, 2004 4:10 PM
To: tomcat-user@jakarta.apache.org
Subject: Error compiling jk2 connector with Apache2 and Tomcat5





Hello Folks,

      I have Tomcat 5.0.19  and Apache 2.0.49 running on a Linux box
(Fedora).  I Donwloaded jk2 connector version 2.0.4, and tried compiling
with options " --with-apxs2=...  --with-apache2-lib=....
--with-tomcat41=..." -->  no success.  Actually mod_jk2.so is generated,
but jkjni.so is missing, and although it works for me without jkjni.so,
the tomcat logs show errors related to the missing jkjni.so.

      Can anyone help?

Thanks in advance.
Weber


---------------------------------------------------------------------
To unsubscribe, e-mail: tomcat-user-unsubscribe@jakarta.apache.org
For additional commands, e-mail: tomcat-user-help@jakarta.apache.org

---------------------------------------------------------------------
To unsubscribe, e-mail: tomcat-user-unsubscribe@jakarta.apache.org
For additional commands, e-mail: tomcat-user-help@jakarta.apache.org




---------------------------------------------------------------------
To unsubscribe, e-mail: tomcat-user-unsubscribe@jakarta.apache.org
For additional commands, e-mail: tomcat-user-help@jakarta.apache.org

---------------------------------------------------------------------
To unsubscribe, e-mail: tomcat-user-unsubscribe@jakarta.apache.org
For additional commands, e-mail: tomcat-user-help@jakarta.apache.org




---------------------------------------------------------------------
To unsubscribe, e-mail: tomcat-user-unsubscribe@jakarta.apache.org
For additional commands, e-mail: tomcat-user-help@jakarta.apache.org

---------------------------------------------------------------------
To unsubscribe, e-mail: tomcat-user-unsubscribe@jakarta.apache.org
For additional commands, e-mail: tomcat-user-help@jakarta.apache.org




---------------------------------------------------------------------
To unsubscribe, e-mail: tomcat-user-unsubscribe@jakarta.apache.org
For additional commands, e-mail: tomcat-user-help@jakarta.apache.org


Mime
View raw message